/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';


export namespace Components {
  interface AppAdminInstitutionsPage {}
  interface AppAdminUsersPage {}
  interface AppCalendar {}
  interface AppCalendarPage {}
  interface AppDashboardPage {}
  interface AppDashboardToday {}
  interface AppHeader {}
  interface AppInstitutionCreate {
    'institution': any;
  }
  interface AppInstitutionItem {
    'institution': any;
  }
  interface AppLoginPage {}
  interface AppMenu {}
  interface AppPopover {
    'buttons': [{ text: string, color: string, action: string, role: string }];
    'title': string;
  }
  interface AppRegisterPage {}
  interface AppRegistrantItem {}
  interface AppRoot {
    'ApiHelper': any;
    'InstitutionHelper': any;
    'PermissionsHelper': any;
    'UserHelper': any;
    'VisitTypeHelper': any;
    'updateRoute': (route: any) => Promise<void>;
  }
  interface AppUserItem {
    'user': any;
  }
  interface AppVisitDetailsPane {}
  interface AppVisitHistoryPane {}
  interface AppVisitPage {}
  interface AppVisitRegistrantsPane {}
  interface AppVisitTypeCreate {
    'visit_type': any;
  }
  interface AppVisitTypeItem {
    'visit_type': any;
  }
  interface AppVisitTypesPage {}
}

declare global {


  interface HTMLAppAdminInstitutionsPageElement extends Components.AppAdminInstitutionsPage, HTMLStencilElement {}
  var HTMLAppAdminInstitutionsPageElement: {
    prototype: HTMLAppAdminInstitutionsPageElement;
    new (): HTMLAppAdminInstitutionsPageElement;
  };

  interface HTMLAppAdminUsersPageElement extends Components.AppAdminUsersPage, HTMLStencilElement {}
  var HTMLAppAdminUsersPageElement: {
    prototype: HTMLAppAdminUsersPageElement;
    new (): HTMLAppAdminUsersPageElement;
  };

  interface HTMLAppCalendarElement extends Components.AppCalendar, HTMLStencilElement {}
  var HTMLAppCalendarElement: {
    prototype: HTMLAppCalendarElement;
    new (): HTMLAppCalendarElement;
  };

  interface HTMLAppCalendarPageElement extends Components.AppCalendarPage, HTMLStencilElement {}
  var HTMLAppCalendarPageElement: {
    prototype: HTMLAppCalendarPageElement;
    new (): HTMLAppCalendarPageElement;
  };

  interface HTMLAppDashboardPageElement extends Components.AppDashboardPage, HTMLStencilElement {}
  var HTMLAppDashboardPageElement: {
    prototype: HTMLAppDashboardPageElement;
    new (): HTMLAppDashboardPageElement;
  };

  interface HTMLAppDashboardTodayElement extends Components.AppDashboardToday, HTMLStencilElement {}
  var HTMLAppDashboardTodayElement: {
    prototype: HTMLAppDashboardTodayElement;
    new (): HTMLAppDashboardTodayElement;
  };

  interface HTMLAppHeaderElement extends Components.AppHeader, HTMLStencilElement {}
  var HTMLAppHeaderElement: {
    prototype: HTMLAppHeaderElement;
    new (): HTMLAppHeaderElement;
  };

  interface HTMLAppInstitutionCreateElement extends Components.AppInstitutionCreate, HTMLStencilElement {}
  var HTMLAppInstitutionCreateElement: {
    prototype: HTMLAppInstitutionCreateElement;
    new (): HTMLAppInstitutionCreateElement;
  };

  interface HTMLAppInstitutionItemElement extends Components.AppInstitutionItem, HTMLStencilElement {}
  var HTMLAppInstitutionItemElement: {
    prototype: HTMLAppInstitutionItemElement;
    new (): HTMLAppInstitutionItemElement;
  };

  interface HTMLAppLoginPageElement extends Components.AppLoginPage, HTMLStencilElement {}
  var HTMLAppLoginPageElement: {
    prototype: HTMLAppLoginPageElement;
    new (): HTMLAppLoginPageElement;
  };

  interface HTMLAppMenuElement extends Components.AppMenu, HTMLStencilElement {}
  var HTMLAppMenuElement: {
    prototype: HTMLAppMenuElement;
    new (): HTMLAppMenuElement;
  };

  interface HTMLAppPopoverElement extends Components.AppPopover, HTMLStencilElement {}
  var HTMLAppPopoverElement: {
    prototype: HTMLAppPopoverElement;
    new (): HTMLAppPopoverElement;
  };

  interface HTMLAppRegisterPageElement extends Components.AppRegisterPage, HTMLStencilElement {}
  var HTMLAppRegisterPageElement: {
    prototype: HTMLAppRegisterPageElement;
    new (): HTMLAppRegisterPageElement;
  };

  interface HTMLAppRegistrantItemElement extends Components.AppRegistrantItem, HTMLStencilElement {}
  var HTMLAppRegistrantItemElement: {
    prototype: HTMLAppRegistrantItemElement;
    new (): HTMLAppRegistrantItemElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLAppUserItemElement extends Components.AppUserItem, HTMLStencilElement {}
  var HTMLAppUserItemElement: {
    prototype: HTMLAppUserItemElement;
    new (): HTMLAppUserItemElement;
  };

  interface HTMLAppVisitDetailsPaneElement extends Components.AppVisitDetailsPane, HTMLStencilElement {}
  var HTMLAppVisitDetailsPaneElement: {
    prototype: HTMLAppVisitDetailsPaneElement;
    new (): HTMLAppVisitDetailsPaneElement;
  };

  interface HTMLAppVisitHistoryPaneElement extends Components.AppVisitHistoryPane, HTMLStencilElement {}
  var HTMLAppVisitHistoryPaneElement: {
    prototype: HTMLAppVisitHistoryPaneElement;
    new (): HTMLAppVisitHistoryPaneElement;
  };

  interface HTMLAppVisitPageElement extends Components.AppVisitPage, HTMLStencilElement {}
  var HTMLAppVisitPageElement: {
    prototype: HTMLAppVisitPageElement;
    new (): HTMLAppVisitPageElement;
  };

  interface HTMLAppVisitRegistrantsPaneElement extends Components.AppVisitRegistrantsPane, HTMLStencilElement {}
  var HTMLAppVisitRegistrantsPaneElement: {
    prototype: HTMLAppVisitRegistrantsPaneElement;
    new (): HTMLAppVisitRegistrantsPaneElement;
  };

  interface HTMLAppVisitTypeCreateElement extends Components.AppVisitTypeCreate, HTMLStencilElement {}
  var HTMLAppVisitTypeCreateElement: {
    prototype: HTMLAppVisitTypeCreateElement;
    new (): HTMLAppVisitTypeCreateElement;
  };

  interface HTMLAppVisitTypeItemElement extends Components.AppVisitTypeItem, HTMLStencilElement {}
  var HTMLAppVisitTypeItemElement: {
    prototype: HTMLAppVisitTypeItemElement;
    new (): HTMLAppVisitTypeItemElement;
  };

  interface HTMLAppVisitTypesPageElement extends Components.AppVisitTypesPage, HTMLStencilElement {}
  var HTMLAppVisitTypesPageElement: {
    prototype: HTMLAppVisitTypesPageElement;
    new (): HTMLAppVisitTypesPageElement;
  };
  interface HTMLElementTagNameMap {
    'app-admin-institutions-page': HTMLAppAdminInstitutionsPageElement;
    'app-admin-users-page': HTMLAppAdminUsersPageElement;
    'app-calendar': HTMLAppCalendarElement;
    'app-calendar-page': HTMLAppCalendarPageElement;
    'app-dashboard-page': HTMLAppDashboardPageElement;
    'app-dashboard-today': HTMLAppDashboardTodayElement;
    'app-header': HTMLAppHeaderElement;
    'app-institution-create': HTMLAppInstitutionCreateElement;
    'app-institution-item': HTMLAppInstitutionItemElement;
    'app-login-page': HTMLAppLoginPageElement;
    'app-menu': HTMLAppMenuElement;
    'app-popover': HTMLAppPopoverElement;
    'app-register-page': HTMLAppRegisterPageElement;
    'app-registrant-item': HTMLAppRegistrantItemElement;
    'app-root': HTMLAppRootElement;
    'app-user-item': HTMLAppUserItemElement;
    'app-visit-details-pane': HTMLAppVisitDetailsPaneElement;
    'app-visit-history-pane': HTMLAppVisitHistoryPaneElement;
    'app-visit-page': HTMLAppVisitPageElement;
    'app-visit-registrants-pane': HTMLAppVisitRegistrantsPaneElement;
    'app-visit-type-create': HTMLAppVisitTypeCreateElement;
    'app-visit-type-item': HTMLAppVisitTypeItemElement;
    'app-visit-types-page': HTMLAppVisitTypesPageElement;
  }
}

declare namespace LocalJSX {
  interface AppAdminInstitutionsPage extends JSXBase.HTMLAttributes<HTMLAppAdminInstitutionsPageElement> {}
  interface AppAdminUsersPage extends JSXBase.HTMLAttributes<HTMLAppAdminUsersPageElement> {}
  interface AppCalendar extends JSXBase.HTMLAttributes<HTMLAppCalendarElement> {}
  interface AppCalendarPage extends JSXBase.HTMLAttributes<HTMLAppCalendarPageElement> {}
  interface AppDashboardPage extends JSXBase.HTMLAttributes<HTMLAppDashboardPageElement> {}
  interface AppDashboardToday extends JSXBase.HTMLAttributes<HTMLAppDashboardTodayElement> {}
  interface AppHeader extends JSXBase.HTMLAttributes<HTMLAppHeaderElement> {}
  interface AppInstitutionCreate extends JSXBase.HTMLAttributes<HTMLAppInstitutionCreateElement> {
    'institution'?: any;
  }
  interface AppInstitutionItem extends JSXBase.HTMLAttributes<HTMLAppInstitutionItemElement> {
    'institution'?: any;
    'onInstitutionEvent'?: (event: CustomEvent<any>) => void;
  }
  interface AppLoginPage extends JSXBase.HTMLAttributes<HTMLAppLoginPageElement> {}
  interface AppMenu extends JSXBase.HTMLAttributes<HTMLAppMenuElement> {}
  interface AppPopover extends JSXBase.HTMLAttributes<HTMLAppPopoverElement> {
    'buttons'?: [{ text: string, color: string, action: string, role: string }];
    'title'?: string;
  }
  interface AppRegisterPage extends JSXBase.HTMLAttributes<HTMLAppRegisterPageElement> {}
  interface AppRegistrantItem extends JSXBase.HTMLAttributes<HTMLAppRegistrantItemElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {
    'ApiHelper'?: any;
    'InstitutionHelper'?: any;
    'PermissionsHelper'?: any;
    'UserHelper'?: any;
    'VisitTypeHelper'?: any;
  }
  interface AppUserItem extends JSXBase.HTMLAttributes<HTMLAppUserItemElement> {
    'onUserEvent'?: (event: CustomEvent<any>) => void;
    'user'?: any;
  }
  interface AppVisitDetailsPane extends JSXBase.HTMLAttributes<HTMLAppVisitDetailsPaneElement> {}
  interface AppVisitHistoryPane extends JSXBase.HTMLAttributes<HTMLAppVisitHistoryPaneElement> {}
  interface AppVisitPage extends JSXBase.HTMLAttributes<HTMLAppVisitPageElement> {}
  interface AppVisitRegistrantsPane extends JSXBase.HTMLAttributes<HTMLAppVisitRegistrantsPaneElement> {}
  interface AppVisitTypeCreate extends JSXBase.HTMLAttributes<HTMLAppVisitTypeCreateElement> {
    'visit_type'?: any;
  }
  interface AppVisitTypeItem extends JSXBase.HTMLAttributes<HTMLAppVisitTypeItemElement> {
    'onVisitTypeEvent'?: (event: CustomEvent<any>) => void;
    'visit_type'?: any;
  }
  interface AppVisitTypesPage extends JSXBase.HTMLAttributes<HTMLAppVisitTypesPageElement> {}

  interface IntrinsicElements {
    'app-admin-institutions-page': AppAdminInstitutionsPage;
    'app-admin-users-page': AppAdminUsersPage;
    'app-calendar': AppCalendar;
    'app-calendar-page': AppCalendarPage;
    'app-dashboard-page': AppDashboardPage;
    'app-dashboard-today': AppDashboardToday;
    'app-header': AppHeader;
    'app-institution-create': AppInstitutionCreate;
    'app-institution-item': AppInstitutionItem;
    'app-login-page': AppLoginPage;
    'app-menu': AppMenu;
    'app-popover': AppPopover;
    'app-register-page': AppRegisterPage;
    'app-registrant-item': AppRegistrantItem;
    'app-root': AppRoot;
    'app-user-item': AppUserItem;
    'app-visit-details-pane': AppVisitDetailsPane;
    'app-visit-history-pane': AppVisitHistoryPane;
    'app-visit-page': AppVisitPage;
    'app-visit-registrants-pane': AppVisitRegistrantsPane;
    'app-visit-type-create': AppVisitTypeCreate;
    'app-visit-type-item': AppVisitTypeItem;
    'app-visit-types-page': AppVisitTypesPage;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


